<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: Banner</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">Banner</span></h1>
            <p class="source-link">Source: <a href="ads_banner_Banner.js.html#source-line-6">ads/<wbr>banner/<wbr>Banner.<wbr>js:6</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Properties</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Banner.html#cssClasses">cssClasses</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Banner.html#observer">observer</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Methods</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Banner.html#classNames">classNames()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Banner.html#mountIntersectionObserver">mountIntersectionObserver()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Banner.html#onReady">onReady()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Banner.html#onViewportEnter">onViewportEnter()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Banner.html#onViewportLeave">onViewportLeave()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2 id="Banner">new&nbsp;<span class="symbol-name">Banner</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>za banner uważamy klikalny komponent o niepływającym (fixed, sticky, absolute) position
              komponent jest traktowany zarówno bezpośrednio jako reklama, jak i jako komponent w innych formach reklamowych (np. interstitial)</p>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd><a href="Ad.html">Ad</a></dd>
            </dl>
          </section>
          <section>
            <h2>Properties</h2>
            <section>
              <h3 id="cssClasses"><span class="symbol-name">cssClasses</span><small class="property-type">
                  &nbsp;unknown</small></h3>
              <p>tablica przechowująca klasy css dla głównego elementu komponentu</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Ad.html#cssClasses">Ad#cssClasses</a></dd>
              </dl>
              <h3 id="observer"><span class="symbol-name">observer</span></h3>
              <p>IntersectionObserver weryfikujacy obecność pojemnika w wiewporcie</p>
              <dl class="dl-compact">
                <dt>See also</dt>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API">https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API</a></dd>
                <dd><a href="https://developers.google.com/web/updates/2019/02/intersectionobserver-v2">https://developers.google.com/web/updates/2019/02/intersectionobserver-v2</a></dd>
              </dl>
            </section>
            <h2>Methods</h2>
            <section>
              <h3 id="classNames"><span class="symbol-name">classNames</span><span class="signature"><span class="signature-params">()</span>&nbsp;&rarr; <span class="signature-returns"> string</span></span></h3>
              <p>zwraca bieżący komplet klas dla głównego pojemnika</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Ad.html#classNames">Ad#classNames</a></dd>
                <dt>Returns</dt>
                <dd></dd>
              </dl>
              <h3 id="mountIntersectionObserver"><span class="symbol-name">mountIntersectionObserver</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>inicjalizuje obiekt IntersectionObserver przypisany do głównego pojemnika komponentu</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onReady"><span class="symbol-name">onReady</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>callback wywoływany, gdy komponent zamontował się poprawnie i wszystkie zasoby zostały załadowane</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Ad.html#onReady">Ad#onReady</a></dd>
              </dl>
              <h3 id="onViewportEnter"><span class="symbol-name">onViewportEnter</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wejście w obszar viewportu, zgodnie z ustawieniami IntersectionObservera</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onViewportLeave"><span class="symbol-name">onViewportLeave</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wyjście z obszaru viewportu, zgodnie z ustawieniami IntersectionObservera</p>
              <dl class="dl-compact">
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>